Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer
Class Peer

    java.lang.Object
      lbg.peer.Peer

Direct Known Subclasses:
  LivePeer, SimulatedPeer

    public abstract class Peer

extends java.lang.Object

Peer.

Author:
  Cyril Briquet, Xavier Dalem

Method Summary
`PeerBasicConfiguration` | `basicConfig()`
`PeerDataConfiguration` | `dataConfig()`
`abstract GridDataManager` | `gdm()`
`java.lang.String` | `id()`
`abstract java.util.logging.Logger` | `logger()`
`NegotiatorController` | `negotiatorController()`
`PeerNetworkConfiguration` | `netConfig()`
`void` | `processSelfEvents()`
`QueueManager` | `qms()`
`PeerRegister` | `register()`
`ResourceManager` | `rms()`
`ISchedulerStats` | `scheduler()`
`SchedulerController` | `schedulerController()`
`SearchEngineClient` | `searchEngine()`
`PeerService` | `service()`
`PeerStrategyConfiguration` | `strategyConfig()`
`java.lang.String` | `toString()`
`java.lang.String` | `toStringSummary()`
`ExecutionManager` | `xms()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toStringSummary

    public java.lang.String toStringSummary()

### service

    public PeerService service()

### id

    public java.lang.String id()

### basicConfig

    public PeerBasicConfiguration basicConfig()

### netConfig

    public PeerNetworkConfiguration netConfig()

### dataConfig

    public PeerDataConfiguration dataConfig()

### strategyConfig

    public PeerStrategyConfiguration strategyConfig()

### searchEngine

    public SearchEngineClient searchEngine()

### rms

    public ResourceManager rms()

### qms

    public QueueManager qms()

### xms

    public ExecutionManager xms()

### gdm

    public abstract GridDataManager gdm()

### logger

    public abstract java.util.logging.Logger logger()

### register

    public PeerRegister register()

### scheduler

    public ISchedulerStats scheduler()

### schedulerController

    public SchedulerController schedulerController()

### negotiatorController

    public NegotiatorController negotiatorController()

### processSelfEvents

    public void processSelfEvents()
                           throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.